import { AbstractCommand } from '../shared';
export declare class ObjectStorageCommand extends AbstractCommand {
    static readonly DEFAULT_PLAYLIST_MOCK_BUCKET = "streaming-playlists";
    static readonly DEFAULT_WEBTORRENT_MOCK_BUCKET = "videos";
    static readonly DEFAULT_SCALEWAY_BUCKET = "peertube-ci-test";
    static getDefaultMockConfig(): {
        object_storage: {
            enabled: boolean;
            endpoint: string;
            region: string;
            credentials: {
                access_key_id: string;
                secret_access_key: string;
            };
            streaming_playlists: {
                bucket_name: string;
            };
            videos: {
                bucket_name: string;
            };
        };
    };
    static getMockCredentialsConfig(): {
        access_key_id: string;
        secret_access_key: string;
    };
    static getMockEndpointHost(): string;
    static getMockRegion(): string;
    static getMockWebTorrentBaseUrl(): string;
    static getMockPlaylistBaseUrl(): string;
    static prepareDefaultMockBuckets(): Promise<void>;
    static createMockBucket(name: string): Promise<void>;
    static getDefaultScalewayConfig(options: {
        serverNumber: number;
        enablePrivateProxy?: boolean;
        privateACL?: 'private' | 'public-read';
    }): {
        object_storage: {
            enabled: boolean;
            endpoint: string;
            region: string;
            credentials: {
                access_key_id: string;
                secret_access_key: string;
            };
            upload_acl: {
                private: "private" | "public-read";
            };
            proxy: {
                proxify_private_files: boolean;
            };
            streaming_playlists: {
                bucket_name: string;
                prefix: string;
            };
            videos: {
                bucket_name: string;
                prefix: string;
            };
        };
    };
    static getScalewayCredentialsConfig(): {
        access_key_id: string;
        secret_access_key: string;
    };
    static getScalewayEndpointHost(): string;
    static getScalewayRegion(): string;
    static getScalewayBaseUrl(): string;
}
//# sourceMappingURL=object-storage-command.d.ts.map